Bug 981956 - top command is much harder to read in Fedora 19
top command is much harder to read in Fedora 19
Product: Fedora
Classification: Fedora
Component: procps-ng (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-07 05:24 EDT by Nils Olav Selåsdal
Modified: 2016-01-31 20:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-21 12:16:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nos: needinfo-

Attachments (Terms of Use)

  None (edit)
Description Nils Olav Selåsdal 2013-07-07 05:24:30 EDT
Since updating Fedora 18->19 , the top command produces much harder to read/eyeball output.

- %CPU column has too many un-interesting decimals causing the CPU usage to be harder to judge.

- memory usage in the VIRT and RES columns don't use the m suffix anymore,
   e.g. they display "1235852" instead of "1206m" and that's much harder
   to read (and takes more space)
Comment 1 Jaromír Cápík 2013-08-20 13:59:28 EDT
Hello Nils.

I'm forwarding your report to Jim Warner (author of the 'top' tool). It would be better if you two could talk about that without me mediating the answers.

I'm trying to avoid any local patches which have no chance to get upstream since that made the predecessor project (procps) absolutely unmanageable.
My current policy is to apply/backport upstream patches only and that means it fully depends on Jim and his willingness to make such design changes.

The predecessor project was locally patched to select the most suitable unit for each field separately. The current solution has two global switches for changing the units for all summary/task fields. Try to press 'e' and/or 'E' to switch the units and let us know if you find that ok.

Regarding the number of decimals, maybe this could be made configurable? Let's wait for Jim to respond.

Comment 2 Jaromír Cápík 2013-08-21 11:06:37 EDT
Hello Nils.

I completely forgot that the number of decimals has already been lowered in procps-3.3.8. That version was introduced to Fedora 19 as a zero day update and that means the only thing you need to do is to update to that version.

Please, do not skip filling the bug templates. At least the version and release of the components can speed the investigation up.

Thanks in advance.

Comment 3 Jaromír Cápík 2013-09-24 09:16:45 EDT
Hello Nils.

Could you please confirm whether the updated version resolves your issue? Thank you.

Comment 4 Nils Olav Selåsdal 2013-09-24 09:25:35 EDT
In procps-ng-3.3.7-3.fc19.i686.rpm , the default for the memory columns(VIRT and RES) are shown in bytes so this appears to not be resolved. The CPU column looks ok.

Hitting 'e' once in top shows VIRT/RES in a more readable format, and looks much closer to the old behavior of top. That should be the default imo.
Comment 5 Jaromír Cápík 2013-09-24 13:33:54 EDT
Hello Nils.

I'm not talking about 3.3.7. Please, update to 3.3.8 (mentioned in comment #2) and let me know.

Thank you.
Comment 6 Jaromír Cápík 2013-09-24 13:38:36 EDT
After reading your answer once again I see you probably meant 3.3.8. You can save the configuration with the 'W' key (capital). That would make it a default one.
Comment 7 Jaromír Cápík 2013-10-21 12:16:59 EDT
As we have no answer, I expect everything's ok now. Closing as resolved. Feel free to reopen if you just forgot to respond.


Note You need to log in before you can comment on or make changes to this bug.